Package com.emc.d2fs.models.context

# Class CollectionParam

java.lang.Object
com.emc.d2fs.models.context.CollectionParam

All Implemented Interfaces:
  `Serializable`

public class CollectionParam extends Object implements Serializable

Java class for collectionParam complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="collectionParam">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="pagingParam" type="{http://www.emc.com/d2fs/models/context}pagingParam" minOccurs="0"/>
             <element name="sortOrder" type="{http://www.emc.com/d2fs/models/context}sortOrder" maxOccurs="unbounded" minOccurs="0"/>
             <element name="attributes" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectionParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAttributes()`
  Gets the value of the attributes property.
  `PagingParam`
  `getPagingParam()`
  Gets the value of the pagingParam property.
  `List<SortOrder>`
  `getSortOrder()`
  Gets the value of the sortOrder property.
  `void`
  `setPagingParam(PagingParam value)`
  Sets the value of the pagingParam property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectionParam

    public CollectionParam()

- ## Method Details

  - ### getPagingParam

    public PagingParam getPagingParam()
    Gets the value of the pagingParam property.
    Returns:
      possible object is `PagingParam`

  - ### setPagingParam

    public void setPagingParam(PagingParam value)
    Sets the value of the pagingParam property.
    Parameters:
      `value` - allowed object is `PagingParam`

  - ### getSortOrder

    public List<SortOrder> getSortOrder()
    Gets the value of the sortOrder property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sortOrder property.

    For example, to add a new item, do as follows:

            getSortOrder().add(newItem);

    Objects of the following type(s) are allowed in the list `SortOrder`

  - ### getAttributes

    public List<String> getAttributes()
    Gets the value of the attributes property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

    For example, to add a new item, do as follows:

            getAttributes().add(newItem);

    Objects of the following type(s) are allowed in the list `String`